MEDIACONCH(1)

NAME
MediaConch - implementation and policy checker, reporter and fixer for media files

MediaInfo-Gui - implementation and policy checker, reporter and fixer for media files (graphical utility)

SYNOPSIS

mediaconch [-Options...] FileName1 [Filename2...]
mediaconch-gui [-Options...] FileName1 [Filename2...]

DESCRIPTION
MediaConch is an extensible, open source software project consisting of an implementation checker, policy checker, reporter, and fixer that targets preservation-level audiovisual files (specifically Matroska, Linear Pulse Code Modulation (LPCM) and FF Video Codec 1 (FFV1)) for use in memory institutions, providing detailed and batch-level conformance checking via an adaptable and flexible application program interface accessible by the command line, a graphical user interface, or a web-based shell.

OPTIONS
MediaInfo supports the following case-insensitive options:

--Help, -h
    Display help and exit

--Help=Advanced, -ha
    Display the advanced help and exit

  Reporting Elements

--Mediaconch, -mc
    Output MediaConch report (default)

    (MediaConch contains default verbosity of implementationChecks plus any provided policy checks.)

--Mediainfo, -mi
    Output MediaInfo report

--Mediatrace, -mt
    Output a trace of the file

  Policy Checker

--Policy=PolicyFileName, -p PolicyFileName
    Apply the policy (XSL or Schematron)

  Output Formats

--Format=text, -ft
    Output in Text format (default)

--Format=xml, -fx
    Output in MediaInfo/MediaConch/MediaTrace XML format (changed to -fa if there are more than 1 tool or more than 1 file)

--Format=maxml, -fa
    Output in MediaArea XML format

--Format=html, -fh
    Output MediaConch report in HTML format

--Display=DisplayFileName, -d DisplayFileName
    Apply the display transformation (XSL)

AUTHOR
This manual page was written by Chow Loong Jin <hyperair@debian.org> for the Debian system (but may be used by others). Permissions is granted to copy, distribute, and/or modify this document under the terms of the GNU General Public License, Version 3 or any later version published by the Free Software Foundation, or the Mozilla Public License 2.0.

On Debian systems, the full text of the GNU General Public License, Version 3 can be found in /usr/share/common-licenses/GPL-3.